commit e4520c7817b76d6a5453237d94b1ed10fa6d2ef3
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Fri Dec 1 15:44:57 2023 +0000

    Avoid trying to send smtp repoonse for non-smtp input, on datafile close error
    
    Broken-by: f70940c9489d

diff --git a/src/src/receive.c b/src/src/receive.c
index a459061ef..c4b80c236 100644
--- a/src/src/receive.c
+++ b/src/src/receive.c
@@ -4425,8 +4425,8 @@ if (spool_data_file && cutthrough_done == NOT_TRIED)
     Uunlink(spool_fname(US"input", message_subdir, message_id, US"-H"));
     Uunlink(spool_fname(US"msglog", message_subdir, message_id, US""));
 
-    /* Claim a data ACL temp-reject, just to get reject logging and resposponse */
-    smtp_handle_acl_fail(ACL_WHERE_DATA, rc, NULL, log_msg);
+    /* Claim a data ACL temp-reject, just to get reject logging and response */
+    if (smtp_input) smtp_handle_acl_fail(ACL_WHERE_DATA, rc, NULL, log_msg);
     smtp_reply = US"";		/* Indicate reply already sent */
 
     message_id[0] = 0;		/* no message accepted */

